
From: "Randy.Dunlap" <rddunlap@osdl.org>

Add "kstack=N" boot option for IA-32 (from x86_64).

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |    3 +++
 25-akpm/arch/i386/kernel/traps.c            |    7 +++++++
 2 files changed, 10 insertions(+)

diff -puN arch/i386/kernel/traps.c~i386-add-kstack=n-option-from-x86_64 arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~i386-add-kstack=n-option-from-x86_64	2005-03-16 17:26:41.000000000 -0800
+++ 25-akpm/arch/i386/kernel/traps.c	2005-03-16 17:26:41.000000000 -0800
@@ -1075,3 +1075,10 @@ void __init trap_init(void)
 
 	trap_init_hook();
 }
+
+static int __init kstack_setup(char *s)
+{
+	kstack_depth_to_print = simple_strtoul(s, NULL, 0);
+	return 0;
+}
+__setup("kstack=", kstack_setup);
diff -puN Documentation/kernel-parameters.txt~i386-add-kstack=n-option-from-x86_64 Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~i386-add-kstack=n-option-from-x86_64	2005-03-16 17:26:41.000000000 -0800
+++ 25-akpm/Documentation/kernel-parameters.txt	2005-03-16 17:26:41.000000000 -0800
@@ -635,6 +635,9 @@ running once the system is up.
 
 	keepinitrd	[HW,ARM]
 
+	kstack=N	[IA-32, X86-64] Print N words from the kernel stack
+			in oops dumps.
+
 	l2cr=		[PPC]
 
 	lapic		[IA-32,APIC] Enable the local APIC even if BIOS disabled it.
_
